<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">


    <s:decorate template="/layout/cards/_card.xhtml">
        <ui:param name="showCard" value="true"/>
        <ui:define name="card-header">
            <i class="fa fa-laptop"/>
            <span>#{messages['net.ihe.gazelle.tm.ParticipatingSUTs']}</span>
        </ui:define>
        <ui:define name="card-body">
            <div class="preparation-bar-title "><br/>#{messages['gazelle.testmanagement.session.SUTAcceptance']}</div>
            <div class="progress preparation-progress-bar" style="width: 70%">
                <div class="progress-bar preparation-progress-bar-value progress-bar-success"
                     role="progressbar"
                     style="#{statisticsForPreparationPhaseBeanGui.getAcceptedSystemsStyle()}; "
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfAcceptedSystems()}  #{messages['net.ihe.gazelle.tm.SystemsAccepted']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfAcceptedSystems()}
                </div>
                <div class="progress-bar preparation-progress-bar-value progress-bar-striped progress-bar-warning"
                     role="progressbar"
                     style="display: #{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSystems()== 0 ?'none':statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSystems()};#{statisticsForPreparationPhaseBeanGui.getNotAcceptedSystemsStyle()}"
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSystems()} #{messages['net.ihe.gazelle.tm.SystemsNotAccepted']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfNotAcceptedSystems()}
                </div>
            </div>

            <div class="preparation-bar-title "><br/>#{messages['net.ihe.gazelle.tm.StatusOfSupportiveRequests']}</div>
            <div class="progress preparation-progress-bar" style="width: 70%">
                <div class="progress-bar preparation-progress-bar-value progress-bar-success"
                     role="progressbar"
                     style="#{statisticsForPreparationPhaseBeanGui.getApprovedSupportiveRequestsStyle()}; "
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfApprovedSupportiveRequests()}  #{messages['net.ihe.gazelle.tm.SystemsAccepted']}">
                    #{statisticsForPreparationPhaseBeanGui.getNumberOfApprovedSupportiveRequests()}
                </div>
                <div class="progress-bar preparation-progress-bar-value progress-bar-striped progress-bar-warning"
                     role="progressbar"
                     style="display: #{statisticsForPreparationPhaseBeanGui.getNumberOfNotYetApprovedSupportiveRequests() == 0 ?'none':statisticsForPreparationPhaseBeanGui.getNumberOfNotYetApprovedSupportiveRequests()};#{statisticsForPreparationPhaseBeanGui.getNotYetApprovedSupportiveRequestsStyle()}"
                     title="#{statisticsForPreparationPhaseBeanGui.getNumberOfNotYetApprovedSupportiveRequests()} #{messages['net.ihe.gazelle.tm.SystemsNotAccepted']}">

                    #{statisticsForPreparationPhaseBeanGui.getNumberOfNotYetApprovedSupportiveRequests()}
                </div>
            </div>
        </ui:define>

        <ui:define name="card-footer" >
            <div class="button">
            <h:commandButton  id="manageSUT"
                             value="#{messages['net.ihe.gazelle.tm.ManageSUT']}"
                             action="#{statisticsForPreparationPhaseBeanGui.getManageSUTsLink()}"/>
            <h:commandButton id="manageSUTPage"
                             styleClass="manageSUTPage"
                             value="#{messages['net.ihe.gazelle.tm.ReviewSupportiveRequests_2']}"
                             action="#{statisticsForPreparationPhaseBeanGui.getReviewSupportiveRequestsLink()}"/>
            </div>
            <style>
                .button .manageSUTPage{
                    margin-left: 20px;
                }
                .button input {
                    background-color:#5cb85c;color:white;width: 40%;font-weight: normal;
                    text-align: center;
                    vertical-align: middle;
                    touch-action: manipulation;
                    border: 1px solid transparent;
                    padding: 6px 12px;
                    white-space: normal;
                    word-wrap: break-word;
                    font-size: 13px;
                    line-height: 1.42857;
                    border-radius: 4px;
                }
            </style>
        </ui:define>
    </s:decorate>

</ui:composition>